gromox-mkpublic(8)

Name
gromox-mkpublic — Tool for creating a blank public store

Synopsis
gromox-mkpublic [-Uv] [-T template_dir] [-c config] [-f] domainname

Options

-T path
    This option can be used to override the built-in data path for folder name translations and prepoulated named properties.
    Default: /usr/share/gromox

-U  Rather than creating the SQLite file, upgrade it. (The -f option has no effect.) mkpublic does not coordinate with exmdb_provider(4gx) and data corruption is possible if both try to edit the file at the same time. You should let exmdb_provider(4gx) do upgrades instead, via the "exmdb_schema_upgrades" directive, or at the very least, stop http(8gx)/exmdb_provider when using mkpublic -U.

-c config
    Read configuration directives from the given file. If this option is not specified, /etc/gromox/mysql_adaptor.cfg will be read for MySQL connection parameters if that file exists.

-f  Force overwrite when an existing SQLite database is detected for the user. By default, mkpublic will not touch exchange.sqlite3.

-v  Turn on verbose mode for -U.

--create-old
    Create blank initial database using version 0. (This can be used for testing the upgrade procedure.)

--integrity
    Perform SQLite integrity check, either standalone or, if -U is also given, as part of an upgrade.

-?  Display option summary.

Files

•   data_file_path/propnames.txt: Initial set of named properties to add to the new private store.

•   /var/lib/gromox/.../exmdb/exchange.sqlite3: MAPI object database.

See also
gromox(7), gromox-mkprivate(8), mysql_adaptor(4gx)